# Uses of Class
jspecview.common.PanelData

Packages that use PanelData
Package
Description
jspecview.api
jspecview.common
jspecview.export
jspecview.java
jspecview.js2d

## Uses of PanelData in jspecview.api

Methods in jspecview.api that return PanelData
Modifier and Type
Method
Description
`PanelData`
JSVPanel.`getPanelData()`
Methods in jspecview.api with parameters of type PanelData
Modifier and Type
Method
Description
`String`
JSVExporter.`exportTheSpectrum(JSViewer viewer, ExportType type, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`

## Uses of PanelData in jspecview.common

Methods in jspecview.common that return PanelData
Modifier and Type
Method
Description
`PanelData`
JSViewer.`pd()`
`PanelData`
PanelNode.`pd()`
Methods in jspecview.common with parameters of type PanelData
Modifier and Type
Method
Description
`void`
ColorParameters.`set(PanelData pd, ScriptToken st, String value)`
`void`
Parameters.`setP(PanelData pd, ScriptToken st, String value)`
Constructors in jspecview.common with parameters of type PanelData
Modifier
Constructor
Description
``
`PrintLayout(PanelData pd)`

## Uses of PanelData in jspecview.export

Methods in jspecview.export with parameters of type PanelData
Modifier and Type
Method
Description
`String`
AMLExporter.`exportTheSpectrum(JSViewer viewer, ExportType mode, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
Exports the Spectrum that is displayed by JSVPanel to a file given by fileName If display is zoomed then export the current view
`String`
CMLExporter.`exportTheSpectrum(JSViewer viewer, ExportType mode, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
Exports the Spectrum that is displayed by JSVPanel to a file given by fileName If display is zoomed then export the current view
`String`
Exporter.`exportTheSpectrum(JSViewer viewer, ExportType mode, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
`String`
JDXExporter.`exportTheSpectrum(JSViewer viewer, ExportType type, OC out, Spectrum spectrum, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
Exports spectrum in one of several formats
`String`
SVGExporter.`exportTheSpectrum(JSViewer viewer, ExportType mode, OC out, Spectrum spec, int startIndex, int endIndex, PanelData pd, boolean asBase64)`
Export a Graph as SVG to a file given by fileName

## Uses of PanelData in jspecview.java

Methods in jspecview.java that return PanelData
Modifier and Type
Method
Description
`PanelData`
AwtPanel.`getPanelData()`

## Uses of PanelData in jspecview.js2d

Methods in jspecview.js2d that return PanelData
Modifier and Type
Method
Description
`PanelData`
JsPanel.`getPanelData()`